de.esprit.netsuite.server.core

## Class ServerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - de.esprit.common.gui.ZException
      - - de.esprit.netsuite.server.core.ServerException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ABONotFoundException, AbstractUserManagerException, AgentExecutionTimeoutException, AgentFinalExecutionException, InvalidDataSourceException, InvalidRequestException, InvalidVersionException, LoopingRequestException, MissingCoServerException, MissingMessageConnectionException, MissingMessageTypeRegistryException, MissingServerDirectoryException, MissingServerFileException, NoSuchStreamJobException, NoSuchTransferJobException, NotLockOwnerException, ResourceLockedException, ServerRequestTimeoutException, ServerShuttingDownException, SessionNotFoundException, StaleResourceLockException, TooManyTransfersException, TransferAlreadyRunningException

      public class ServerException
      extends ZException

  This is the base class for all exceptions thrown on server side
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerException(ErrorType errType, NlsKey nls, java.lang.Object... args)`
    `ServerException(ErrorType errType, java.lang.Throwable cause, NlsKey trKey)`
    `ServerException(ErrorType errType, java.lang.Throwable cause, NlsKey nls, java.lang.Object... args)`
    `ServerException(NlsKey nls)`
    `ServerException(NlsKey nls, java.lang.Object... args)`

  - ### Method Summary

    - ### Methods inherited from class de.esprit.common.gui.ZException

      `getErrorType, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerException

          public ServerException(NlsKey nls)

    - #### ServerException

          public ServerException(NlsKey nls,
                         java.lang.Object... args)

    - #### ServerException

          public ServerException(ErrorType errType,
                         java.lang.Throwable cause,
                         NlsKey trKey)

    - #### ServerException

          public ServerException(ErrorType errType,
                         NlsKey nls,
                         java.lang.Object... args)

    - #### ServerException

          public ServerException(ErrorType errType,
                         java.lang.Throwable cause,
                         NlsKey nls,
                         java.lang.Object... args)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.